Subject: bug#46650: Extending package transformation options

From: Ludovic Courtès <[email-masked]>
Date: Wed, 24 Feb 2021 18:21:55 +0100

Hi,

zimoun <[email-masked]> skribis:

> I am confused.  The 'specification->package' returns a regular
> package, right?.  And then,
>
>   (define gnutls
>     (specification->package "gnutls"))
>
>   (define dependencies
>     (append-map transitive-package-dependencies
>                 (list guile-gcrypt gnutls guile-git guile-avahi
>                       guile-json guile-semver guile-ssh guile-sqlite3
>                       guile-zlib guile-lzlib guile-zstd)))
>
> So here, a transformation could be applied.  For example, build all
> the dependencies without testing them;  at the 'define gnutls' (&co)
> step or in the map.  Why not?

Sure, but how do you get a user-specified transformation to this line?

Ludo’.